Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat.training
Class NEATNeuronGene

    java.lang.Object
      org.encog.ml.genetic.genes.BasicGene
          org.encog.neural.neat.training.NEATNeuronGene

All Implemented Interfaces:
  Serializable, Comparable<Gene>, Gene

    public class NEATNeuronGene

extends BasicGene
implements Serializable

Implements a NEAT neuron gene. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. http://www.cs.ucf.edu/~kstanley/

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_ACT_RESPONSE`
`static String` | `PROPERTY_RECURRENT`
`static String` | `PROPERTY_SPLIT_X`
`static String` | `PROPERTY_SPLIT_Y`

Constructor Summary
`NEATNeuronGene()` The default constructor.
`NEATNeuronGene(NEATNeuronType type, long id, double splitY, double splitX)` Construct a gene.
`NEATNeuronGene(NEATNeuronType type, long id, double splitY, double splitX, boolean recurrent, double act)` Construct a neuron gene.

Method Summary
`void` | `copy(Gene gene)` Copy another gene to this one.
`double` | `getActivationResponse()`
`NEATNeuronType` | `getNeuronType()`
`double` | `getSplitX()`
`double` | `getSplitY()`
`boolean` | `isRecurrent()`
`void` | `setActivationResponse(double activationResponse)` Set the activation response.
`void` | `setNeuronType(NEATNeuronType neuronType)` Set the neuron type.
`void` | `setRecurrent(boolean recurrent)` Set if this is a recurrent neuron.
`void` | `setSplitX(double splitX)` Set the split x.
`void` | `setSplitY(double splitY)` Set the split y.
`String` | `toString()`

Methods inherited from class org.encog.ml.genetic.genes.BasicGene
`compareTo, getId, getInnovationId, isEnabled, setEnabled, setId, setInnovationId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_ACT_RESPONSE

    public static final String PROPERTY_ACT_RESPONSE

See Also:
  Constant Field Values

### PROPERTY_RECURRENT

    public static final String PROPERTY_RECURRENT

See Also:
  Constant Field Values

### PROPERTY_SPLIT_X

    public static final String PROPERTY_SPLIT_X

See Also:
  Constant Field Values

### PROPERTY_SPLIT_Y

    public static final String PROPERTY_SPLIT_Y

See Also:
  Constant Field Values

Constructor Detail

### NEATNeuronGene

    public NEATNeuronGene()

  The default constructor.

### NEATNeuronGene

    public NEATNeuronGene(NEATNeuronType type,
                          long id,
                          double splitY,
                          double splitX)

  Construct a gene.

  Parameters:
    `type` - The type of neuron.
    `id` - The id of this gene.
    `splitY` - The split y.
    `splitX` - The split x.

### NEATNeuronGene

    public NEATNeuronGene(NEATNeuronType type,
                          long id,
                          double splitY,
                          double splitX,
                          boolean recurrent,
                          double act)

  Construct a neuron gene.

  Parameters:
    `type` - The type of neuron.
    `id` - The id of this gene.
    `splitY` - The split y.
    `splitX` - The split x.
    `recurrent` - True if this is a recurrent link.
    `act` - The activation response.

Method Detail

### copy

    public void copy(Gene gene)

  Copy another gene to this one.

  Specified by:
    `copy` in interface `Gene`
  Parameters:
    `gene` - The other gene.

### getActivationResponse

    public double getActivationResponse()

  Returns:
    The activation response.

### getNeuronType

    public NEATNeuronType getNeuronType()

  Returns:
    The type for this neuron.

### getSplitX

    public double getSplitX()

  Returns:
    The split x value.

### getSplitY

    public double getSplitY()

  Returns:
    The split y value.

### isRecurrent

    public boolean isRecurrent()

  Returns:
    True if this is recurrent.

### setActivationResponse

    public void setActivationResponse(double activationResponse)

  Set the activation response.

  Parameters:
    `activationResponse` - The activation response.

### setNeuronType

    public void setNeuronType(NEATNeuronType neuronType)

  Set the neuron type.

  Parameters:
    `neuronType` - The neuron type.

### setRecurrent

    public void setRecurrent(boolean recurrent)

  Set if this is a recurrent neuron.

  Parameters:
    `recurrent` - True if this is a recurrent neuron.

### setSplitX

    public void setSplitX(double splitX)

  Set the split x.

  Parameters:
    `splitX` - The split x.

### setSplitY

    public void setSplitY(double splitY)

  Set the split y.

  Parameters:
    `splitY` - The split y.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.